<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: User interface</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>User interface</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp_c_a_s.html">phpCAS</a></td></tr>
<tr><td colspan="2"><h2>Modules</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_init.html">Initialization</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_auth.html">Authentication</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html">Access to external services</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_config.html">Configuration</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_debug.html">Debugging</a></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public.html#ga0904e4fb51e532bbba51832326dbf8fb">CAS_VERSION_1_0</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public.html#ga33db27557b9b055f0cff75481f46a4bc">CAS_VERSION_2_0</a> </td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public.html#gaba9981b7e9d000cd2023da901c2b71dd">phpCAS::getVersion</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga0904e4fb51e532bbba51832326dbf8fb"></a><!-- doxytag: member="CAS.php::CAS_VERSION_1_0" ref="ga0904e4fb51e532bbba51832326dbf8fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public.html#ga0904e4fb51e532bbba51832326dbf8fb">CAS_VERSION_1_0</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>CAS version 1.0 </p>

</div>
</div>
<a class="anchor" id="ga33db27557b9b055f0cff75481f46a4bc"></a><!-- doxytag: member="CAS.php::CAS_VERSION_2_0" ref="ga33db27557b9b055f0cff75481f46a4bc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public.html#ga33db27557b9b055f0cff75481f46a4bc">CAS_VERSION_2_0</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>CAS version 2.0 </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaba9981b7e9d000cd2023da901c2b71dd"></a><!-- doxytag: member="phpCAS::getVersion" ref="gaba9981b7e9d000cd2023da901c2b71dd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::getVersion </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the <a class="el" href="classphp_c_a_s.html">phpCAS</a> version.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>the <a class="el" href="classphp_c_a_s.html">phpCAS</a> version. </dd></dl>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:55 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
